> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agent Task Tracker

> Update agent task tracker by tracker ID



## OpenAPI

````yaml https://agentex.dev-sgp.scale.com/openapi.json put /tracker/{tracker_id}
openapi: 3.1.0
info:
  title: Agentex API
  version: 0.1.0
servers: []
security: []
paths:
  /tracker/{tracker_id}:
    put:
      tags:
        - Agent Task Tracker
      summary: Update Agent Task Tracker
      description: Update agent task tracker by tracker ID
      operationId: update_agent_task_tracker_tracker__tracker_id__put
      parameters:
        - name: tracker_id
          in: path
          required: true
          schema:
            type: string
            title: Tracker Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAgentTaskTrackerRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentTaskTracker'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateAgentTaskTrackerRequest:
      properties:
        last_processed_event_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Processed Event Id
          description: The most recent processed event ID (omit to leave unchanged)
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Processing status
        status_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Reason
          description: Optional status reason
      type: object
      title: UpdateAgentTaskTrackerRequest
      description: Request model for updating an agent task tracker.
    AgentTaskTracker:
      properties:
        id:
          type: string
          title: Id
          description: The UUID of the agent task tracker
        agent_id:
          type: string
          title: Agent Id
          description: The UUID of the agent
        task_id:
          type: string
          title: Task Id
          description: The UUID of the task
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Processing status
        status_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Reason
          description: Optional status reason
        last_processed_event_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Processed Event Id
          description: The last processed event ID
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the agent task tracker was created
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: When the agent task tracker was last updated
      type: object
      required:
        - id
        - agent_id
        - task_id
        - created_at
      title: AgentTaskTracker
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````